package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 学生缴费订单明细
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("student_payment_order_detail")
public class StudentPaymentOrderDetail extends Model<StudentPaymentOrderDetail> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    /**
     * 类型(乐器、辅件、教材、课程)
     */
    @TableField("type_")
    private String type;
    /**
     * 商品列表(用户|分开)
     */
    @TableField("goods_id_list_")
    private String goodsIdList;
    /**
     * 打包价格
     */
    @TableField("price_")
    private BigDecimal price;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;
    /**
     * 订单编号(对应student_payment_order)
     */
    @TableField("payment_order_id_")
    private Long paymentOrderId;


    public Long getId() {
        return id;
    }

    public StudentPaymentOrderDetail setId(Long id) {
        this.id = id;
        return this;
    }

    public String getType() {
        return type;
    }

    public StudentPaymentOrderDetail setType(String type) {
        this.type = type;
        return this;
    }

    public String getGoodsIdList() {
        return goodsIdList;
    }

    public StudentPaymentOrderDetail setGoodsIdList(String goodsIdList) {
        this.goodsIdList = goodsIdList;
        return this;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public StudentPaymentOrderDetail setPrice(BigDecimal price) {
        this.price = price;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public StudentPaymentOrderDetail setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public StudentPaymentOrderDetail setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Long getPaymentOrderId() {
        return paymentOrderId;
    }

    public StudentPaymentOrderDetail setPaymentOrderId(Long paymentOrderId) {
        this.paymentOrderId = paymentOrderId;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "StudentPaymentOrderDetail{" +
        ", id=" + id +
        ", type=" + type +
        ", goodsIdList=" + goodsIdList +
        ", price=" + price +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", paymentOrderId=" + paymentOrderId +
        "}";
    }
}
